---
title: stop-color
slug: Web/SVG/Attribute/stop-color
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>stop-color</code></strong> attribute indicates what color to use at a gradient stop.</p>

<div class="notecard note">
<p><strong>Note:</strong> With respect to gradients, SVG treats the <code>transparent</code> keyword differently than CSS. SVG does not calculate gradients in pre-multiplied space, so <code>transparent</code> really means transparent black. So, specifying a <code>stop-color</code> with the value <code>transparent</code> is equivalent to specifying a <code>stop-color</code> with the value <code>black</code> and a {{SVGAttr("stop-opacity")}} with the value <code>0</code>.</p>
</div>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>stop-color</code> can be used as a CSS property.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following element: {{SVGElement("stop")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>currentcolor</code> | {{cssxref("color_value", "&lt;color&gt;")}} <code><a href="/en-US/docs/Web/SVG/Content_type#ICCColor">&lt;icccolor&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>black</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>currentcolor</code></dt>
 <dd>This keyword denotes the current fill color and can be specified in the same manner as within a <code><a href="/en-US/docs/Web/SVG/Content_type#Paint">&lt;paint&gt;</a></code> specification for the {{SVGAttr("fill")}} and {{SVGAttr("stroke")}} attributes.</dd>
 <dt><code>&lt;color&gt;</code></dt>
 <dd>This value indicates a color value.</dd>
 <dt><code>&lt;icccolor&gt;</code></dt>
 <dd>This value refers to an ICC color profile.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#StopColorProperty", "stop-color")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Added a note that in SVG the <code>transparent</code> keyword is treated differently than in CSS.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#StopColorProperty", "stop-color")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.stop-color")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGAttr("stop-opacity")}}</li>
</ul>
